Bug 249799 - RPM Groups is not working right.
RPM Groups is not working right.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 23:01 EDT by Philip Ashmore
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 04:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2007-07-26 23:01:20 EDT
Description of problem:
When I select the "Categories" list item in the Category combo box the mouse
cursor turns busy indefinitely and nothing happens.

Version-Release number of selected component (if applicable):
1.9.10

How reproducible:
very

Steps to Reproduce:
1. Start yumex, wait for it to initialize.
2. Select the "Categories" list item in the Category combo box.
3. The categories tree should display.

Actual results:
The mouse cursor turns busy and the categories tree is not displayed.

Expected results:
The categories tree should be displayed.


Additional info:
When I run yumex from konsole:
When I select the "Categories" list item in the Category combo box the mouse
cursor turns busy indefinitely and nothing happens, but I get the following text:
Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 117, in on_Category_changed
    self.addCategories(fn,attr,sortcat,splitcat)
  File "/usr/share/yumex/yumex.py", line 573, in addCategories
    getterfn = getattr( self.yumbase, fn )
AttributeError: 'YumexYumHandler' object has no attribute 'getByGroup'
Comment 1 Fedora Update System 2007-07-30 13:00:48 EDT
yumex-1.9.11-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Philip Ashmore 2007-07-31 10:20:45 EDT
The category tree (now called "RPM Groups") now displays, although if you switch
from "available" to "all" it doesn't change its view until you toggle to
"Category/None" and back to "Category/RPM Groups".

yumex seems to need to update it's metadata when you do _anything_.

When I selected "Category/RPM Groups" and then the "Internet/WWW" group I got
thw following traceback.
 
Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 94, in on_category_selected
    self.addCategoryPackages(category)
  File "/usr/share/yumex/yumex.py", line 558, in addCategoryPackages
    pkgs.sort()
AttributeError: 'bool' object has no attribute 'sort'
Comment 3 Fedora Update System 2007-08-13 13:06:13 EDT
yumex-1.9.11-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Philip Ashmore 2007-08-13 18:56:40 EDT
My comment
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=249799#c2
refers to yumex-1.9.11-1.fc7 - the one that displays the category tree (RPM Groups).
Should this be resubmitted as a new bug "Using RPM Groups crashes yumex"?
Comment 5 Philip Ashmore 2007-08-13 22:40:44 EDT
I just got yumex-1.9.11-1.fc7 from updates - my last report was from the one I
downloaded from testing.
Unlike the testing version, switching from "available" to "all" now works as it
should.
From root konsole
# yumex &
Selecting "Internet/WWW" while in the "All" RPM Group gets the same dump in
konsole with the mouse busy cursor on the app.
Comment 6 Tim Lauridsen 2007-08-14 04:48:31 EDT
Thanks, it look like the 'RPM Groups' category is broken if there is more or
less than 2 levels in the RPM group.
I have fixed it in yumex svn, it will be available in the next release.
Comment 7 Fedora Update System 2007-08-17 12:11:41 EDT
yumex-2.0-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.